> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Reveal full card details

> Get full card number (PAN), CVV and expiry. Requires wallet signature for confirmation.



## OpenAPI

````yaml /openapi.json post /api/v1/cards/{card_id}/details
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/cards/{card_id}/details:
    post:
      tags:
        - Cards
      summary: Reveal full card details
      description: >-
        Get full card number (PAN), CVV and expiry. Requires wallet signature
        for confirmation.
      operationId: reveal_card_api_v1_cards__card_id__details_post
      parameters:
        - name: card_id
          in: path
          required: true
          schema:
            type: string
            title: Card Id
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CardRevealRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardDetailsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CardRevealRequest:
      properties:
        messageSignature:
          type: string
          title: Messagesignature
          description: Wallet signature of confirmation message
        nonce:
          type: integer
          title: Nonce
          description: Unix timestamp used in the signed message (valid 5 min)
      type: object
      required:
        - messageSignature
        - nonce
      title: CardRevealRequest
      description: Request to reveal card details. Requires wallet signature.
    CardDetailsResponse:
      properties:
        cardNumber:
          type: string
          title: Cardnumber
          description: Full card number (PAN)
        cvv:
          type: string
          title: Cvv
        expiryDate:
          type: string
          title: Expirydate
      type: object
      required:
        - cardNumber
        - cvv
        - expiryDate
      title: CardDetailsResponse
      description: Sensitive card details.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>

````